Arch Remove: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Docnav)
 
(9 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:12-->
<!--T:12-->
{{Docnav
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
|[[Arch_Add|Add]]
|[[Arch_Survey|Survey]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Add.svg
|IconR=Arch_Survey.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Arch Remove
|Name=Arch Remove
|MenuLocation=Arch → Remove
|MenuLocation=Arch → Remove component
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch Add]]
|SeeAlso=[[Arch_CutLine|Arch CutLine]], [[Arch_CutPlane|Arch CutPlane]], [[Arch_Add|Arch Add]]
}}
}}


Line 16: Line 24:
<!--T:3-->
<!--T:3-->
The Remove tools allows you to do 2 kinds of operations:
The Remove tools allows you to do 2 kinds of operations:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} example.
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} example.
* Subtract a [[Part Module|shape]]-based object from an Arch component such as an {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch Wall|Arch Wall]]}} or {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}}
* Subtract a [[Part_Workbench|shape]]-based object from an Arch component such as a {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}


<!--T:13-->
<!--T:13-->
The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} tool.


</translate>
</translate>
Line 28: Line 36:
{{Caption|A box subtracted from a wall, leaving a hole in it.}}
{{Caption|A box subtracted from a wall, leaving a hole in it.}}


==How to use== <!--T:6-->
==Usage== <!--T:6-->


<!--T:7-->
<!--T:7-->
# Select a subcomponent inside an Arch object.
# Select a subcomponent inside an Arch object.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove]]}} from the top menu.


<!--T:14-->
<!--T:14-->
Or
Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove]]}} from the top menu.


==Scripting== <!--T:8-->
==Scripting== <!--T:8-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:9-->
<!--T:9-->
The Remove tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 76: Line 84:
}}
}}
<translate>
<translate>
<!--T:16-->
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


<!--T:17-->
{{Arch Tools navi}}


<!--T:18-->
<!--T:16-->
{{Docnav
{{Userdocnavi}}
|[[Arch_Add|Add]]
|[[Arch_Survey|Survey]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Add.svg
|IconR=Arch_Survey.svg
|IconC=Workbench_Arch.svg
}}

</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:57, 9 March 2022

Arch Remove

Menu location
Arch → Remove component
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch CutLine, Arch CutPlane, Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example.
  • Subtract a shape-based object from an Arch component such as a Arch Wall or Arch Structure

The counterpart of this tool is the Arch Add tool.

A box subtracted from a wall, leaving a hole in it.

Usage

  1. Select a subcomponent inside an Arch object.
  2. Press the button, or Arch Remove from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()